/* components/order-card/OrderCard.css */

.order_card {
  width: 100%;
  margin-bottom: 20px;
}

.order_card .order_card_wrapper {
  border-radius: 2px;
  padding: 13px;
  display: flex;
  gap: 20px;
  background: #ffffff 0% 0% no-repeat padding-box;
  box-shadow: 0px 2px 4px #00000029;
}
/* ===================================
   IMAGE SECTION
=================================== */

.order_card .order_card_image_main {
  width: 150px;
  position: relative;
}

.order_card .order_card_status {
  position: absolute;
  top: -8px;
  left: 0;

  z-index: 2;
}

.order_card .order_card_image {
  width: 100%;
  aspect-ratio: 1/1.5;
  overflow: hidden;
  border-radius: 4px;
}

.order_card .order_card_status_icon {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 11px;
}
.order_card .order_card_image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* ===================================
   CONTENT
=================================== */

.order_card .order_card_content {
  flex: 1;
}

.order_card .order_card_top {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 14px;
}

.order_card .order_card_top h3 {
  font-size: 16px;
  font-weight: 700;
  color: #bb0000;
  margin: 0;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}

.order_card .order_card_view_btn {
  background: transparent;
  border: none;
  color: #bb0000;
  font-size: 14px;
  font-weight: 600;
  text-decoration: underline;
  cursor: pointer;
  padding: 0px;
  white-space: nowrap;
}

/* ===================================
   INFO
=================================== */

.order_card .order_card_info {
  display: flex;
  gap: 20px;
}

.order_card .order_card_info_left {
  min-width: 180px;
}

.order_card .order_card_info_left p,
.order_card .order_card_info_right p,
.order_card .order_card_price_left p,
.order_card .order_card_price_row p {
  margin-bottom: 10px;
  font-size: 14px;
  color: #1a1a1a;
  font-weight: 500;

  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}
.order_card .heading {
  max-width: 180px;
  -webkit-line-clamp: 1;
}

.order_card .order_card_info_right {
  flex: 1;
}

/* ===================================
   BORDER
=================================== */

.order_card .order_card_border {
  border-bottom: 1px dashed #cfcfcf;
  margin: 10px 0 15px;
}

/* ===================================
   PRICE
=================================== */

.order_card .order_card_price_main {
  display: flex;
  gap: 20px;
}

.order_card .order_card_price_left {
  min-width: 180px;
}

.order_card .order_card_price_right {
  flex: 1;
}

.order_card .order_card_price_row {
  display: flex;
  justify-content: space-between;
  gap: 20px;
}

/* ===================================
   RESPONSIVE
=================================== */

@media (max-width: 767px) {
  .order_card .order_card_wrapper {
    flex-direction: column;
  }

  .order_card .order_card_image_main {
    width: 100%;
  }

  .order_card .order_card_image {
    aspect-ratio: 1/0.8;
  }

  .order_card .order_card_top {
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
  }

  .order_card .order_card_info,
  .order_card .order_card_price_main {
    flex-direction: column;
    gap: 10px;
  }

  .order_card .order_card_info_left,
  .order_card .order_card_price_left {
    min-width: 100%;
  }
}
